40 lines
1.3 KiB
Diff
40 lines
1.3 KiB
Diff
Upstream-Status: Pending
|
|
|
|
Index: gcc-4.3.1/contrib/regression/objs-gcc.sh
|
|
===================================================================
|
|
--- gcc-4.3.1.orig/contrib/regression/objs-gcc.sh 2007-12-24 15:18:57.000000000 -0800
|
|
+++ gcc-4.3.1/contrib/regression/objs-gcc.sh 2008-08-16 01:15:12.000000000 -0700
|
|
@@ -105,6 +105,10 @@
|
|
then
|
|
make all-gdb all-dejagnu all-ld || exit 1
|
|
make install-gdb install-dejagnu install-ld || exit 1
|
|
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
|
|
+ then
|
|
+ make all-gdb all-dejagnu all-ld || exit 1
|
|
+ make install-gdb install-dejagnu install-ld || exit 1
|
|
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
|
|
make bootstrap || exit 1
|
|
make install || exit 1
|
|
Index: gcc-4.3.1/libjava/classpath/ltconfig
|
|
===================================================================
|
|
--- gcc-4.3.1.orig/libjava/classpath/ltconfig 2007-06-03 16:18:43.000000000 -0700
|
|
+++ gcc-4.3.1/libjava/classpath/ltconfig 2008-08-16 01:15:12.000000000 -0700
|
|
@@ -603,7 +603,7 @@
|
|
|
|
# Transform linux* to *-*-linux-gnu*, to support old configure scripts.
|
|
case $host_os in
|
|
-linux-gnu*) ;;
|
|
+linux-gnu*|linux-uclibc*) ;;
|
|
linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
|
|
esac
|
|
|
|
@@ -1251,7 +1251,7 @@
|
|
;;
|
|
|
|
# This must be Linux ELF.
|
|
-linux-gnu*)
|
|
+linux*)
|
|
version_type=linux
|
|
need_lib_prefix=no
|
|
need_version=no
|